package com.ar.credifacil.librerias;

/*
 * Clase para Lectura de archivos XML
 * @ (#) Para leer al archivo de XML del proyecto Mail
 * 
 * @ Author Jorge L. Vasquez - 22 ene 2018
 */

import com.ar.credifacil.entidades.Datos;
import java.io.File;
import java.io.IOException;
import java.util.List;
import org.jdom2.Document;
import org.jdom2.Element;
import org.jdom2.JDOMException;
import org.jdom2.input.SAXBuilder;

public class LecturaDeXml {

    public  Datos cargarXml() {
        String empresa=null;
        String mailSalida=null;
        String usuarioMailSalida=null;
        String passwdMailSalida=null;
        String destinatarios=null;
        String codComercio=null;
        String nombreComercio=null;
        String asunto=null;
        Datos dato = null;
        //String[] datos = new String[8];
        
        
        //Creo un SAXBuilder para poder parsear el archivo
        SAXBuilder builder = new SAXBuilder();
        File xmlArchivo = new File("C:\\sisnet\\config.xml");
        
        try {
            //Creo el documento a traves del archivo
            Document documento = (Document)builder.build(xmlArchivo);
            Element rootNode = documento.getRootElement();
            
            //Armo la lista de los hijos del nodo principal
            List lista = rootNode.getChildren("datos");
            
            //Recorro la lista de los hijos
            for (int i=0; i < lista.size(); i++)
            {
                Element node = (Element)lista.get(i);
                
                //Sirve para probar el funcionamiento
                /*
                System.out.println("Empresa: "+node.getChildText("empresa"));
                System.out.println("Mail: "+node.getChildText("mail"));
                System.out.println("Usuario Mail: "+node.getChildText("usumail"));
                System.out.println("Passwd Mail: "+node.getChildText("passmail"));
                System.out.println("Destinatarios: "+node.getChildText("destinatarios"));
                System.out.println("Cod.Comercio: "+node.getChildText("codcomer"));
                System.out.println("Comercio: "+node.getChildText("nomcomer"));
                System.out.println("Asunto: "+node.getChildText("asunto"));
                */
                empresa=node.getChildText("empresa");
                mailSalida=node.getChildText("mail");
                usuarioMailSalida=node.getChildText("usumail");
                passwdMailSalida=node.getChildText("passmail");
                destinatarios=node.getChildText("destinatarios");
                codComercio=node.getChildText("codcomer");
                nombreComercio=node.getChildText("nomcomer");
                asunto=node.getChildText("asunto");
                
                //Instacio la clase datos donde estan los GET y SET que reciben los datos
                 dato = new Datos(empresa,mailSalida,usuarioMailSalida,passwdMailSalida,destinatarios,codComercio,nombreComercio,asunto);
            }
            
            
        }catch(IOException io) {
            System.out.println(io.getMessage());
            
        }catch(JDOMException jd) {
            System.out.println(jd.getMessage());
        }
        
        
        //Retorno los valores del XML para cargar el formulario
        //return Empresa+mailSalida+usuarioMailSalida+passwdMailSalida+Destinatarios+codComercio+nombreComercio+Asunto;
        return dato;
    }
}
