/*
 * @ (#) Manejo de archivos con estructura XML
 * 
 * @ Escritura - Lectura - Modificacion de XML
 *
 * @ Author Jorge Luis Vasquez - 03 ene 2018 
 */
package com.ar.credifacil.librerias;

import java.io.File;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;

import org.w3c.dom.Attr;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;





public class ManejoDeXml {
    
    public String GenerarXML(String Empresa,String mailSalida,String usuarioMailSalida,String passwdMailSalida,String Destinatarios,String codComercio,String nombreComercio,String Asunto) {
        String oK = "";
        
        try {
            DocumentBuilderFactory docFactory = DocumentBuilderFactory.newInstance();
            DocumentBuilder docBuilder = docFactory.newDocumentBuilder();
            
            //Genero el elemento raiz o nodo raiz
            Document doc = docBuilder.newDocument();
            Element rootElement = doc.createElement(Empresa);
            doc.appendChild(rootElement);
            
            //Datos del proyecto
            Element datos = doc.createElement("datos");
            rootElement.appendChild(datos);
            
            //Atributo del elemento datos
            Attr attr = doc.createAttribute("id");
            attr.setValue("1");
            datos.setAttributeNode(attr);
    
            //nombre de la empresa
            Element empresa = doc.createElement("empresa");
            empresa.appendChild(doc.createTextNode(Empresa));
            datos.appendChild(empresa);
            
            //mail de salida aplicativo
	    Element mail = doc.createElement("mail");
	    mail.appendChild(doc.createTextNode(mailSalida));
	    datos.appendChild(mail);
 
	    //usuario cuenta mail aplicativo
	    Element usumail = doc.createElement("usumail");
	    usumail.appendChild(doc.createTextNode(usuarioMailSalida));
	    datos.appendChild(usumail);
 
            //password mail salida aplicativo
            Element passmail = doc.createElement("passmail");
            passmail.appendChild(doc.createTextNode(passwdMailSalida));
	    datos.appendChild(passmail);
 
	    //destinatarios de la informacion
	    Element destino = doc.createElement("destinatarios");
	    destino.appendChild(doc.createTextNode(Destinatarios));
            datos.appendChild(destino);
            
            //codigo del comercio que se informa en el asunto
            Element codcomer = doc.createElement("codcomer");
            codcomer.appendChild(doc.createTextNode(codComercio));
            datos.appendChild(codcomer);
                
            //nombre del comercio al que se le envia la informacion
            Element nomcomer = doc.createElement("nomcomer");
            nomcomer.appendChild(doc.createTextNode(nombreComercio));
            datos.appendChild(nomcomer);
            
            //asunto que se informa en el mail
            Element asunto = doc.createElement("asunto");
            asunto.appendChild(doc.createTextNode(Asunto));
            datos.appendChild(asunto);
            
            
            // escribimos el contenido en un archivo .xml
	    TransformerFactory transformerFactory = TransformerFactory.newInstance();
	    Transformer transformer = transformerFactory.newTransformer();
            DOMSource source = new DOMSource(doc);
	    StreamResult result = new StreamResult(new File("C:\\sisnet\\config.xml"));
	    //StreamResult result = new StreamResult(new File("archivo.xml"));
 
	    // Si se quiere mostrar por la consola...
            // StreamResult result = new StreamResult(System.out);
 
	    transformer.transform(source, result);
 
	    System.out.println("File saved!");
                
        }catch (ParserConfigurationException pce) {
            pce.printStackTrace();
        }catch  (TransformerException tfe) {
            tfe.printStackTrace();
        }
        
        return oK;
    }
        
}
